using System.Collections.Generic;

namespace ADEPT.Core.Lesson;

public interface ILesson
{
    public string Title { get; set; }
    public string Description { get; set; }
    public List<IPage> Pages { get; set; }
    public object LessonStateMachine { get; set; } // TODO: Implement an ILessonStateMachine
    
    
    public void StartLesson();
    public void EndLesson();
    public void AddPage(IPage page);
    public void RemovePage(IPage page);
}